<?php
  include("../scripts/connect.php");
   $conexion=conecta_default();
   include_once("../scripts/session.php");
   //Validar Session
    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/
    if(!$sesion->isValida("4")){ /*Sesion invalida*/
	  header("Location: ../index.php?err=NoSesion");
    }/*no hay sesion*/
    else{
       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();
    }
    //fin validar session
     $id_cd=$sesion->id;
     $fruits = $_POST["guias"];
     $rastreos = $_POST["rastreo"];
     $paque = $_POST["paq"];
     $guia = $_POST["pedido"];
     $unped = $_POST["pedsol"];
     $fruit=unserialize($fruits);
     $how_many = count($fruit); 
     var_dump($fruit);
     echo '<br>';
     echo $rastreos;
     echo '<br>';
     echo $paque;
     echo '<br>';
     echo $guia;
     echo '<br>';
     echo $unped;
     echo '<br>';
     if(isset($rastreos) && isset($paque)){
     echo"<center>Numero de rastreo: $rastreos Id Paqueteria: $paque<br>";}else{echo"es necesario el numero de rastreo, <br> favor de intentar nuevamente";}
     
     if($unped==1){
	     
	     $qPP = "INSERT INTO guias (idtransacciones,id_paq, rastreo, fechg) values ('$guia', '$paque', '$rastreos', curdate())";

       echo $qPP;

$rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());
   	

	     
	     
     }
     else{
     
     
 for ($i=0; $i<$how_many; $i++) {
	 
	$qPP = "INSERT INTO guias (idtransacciones,id_paq, rastreo, fechg) values ('$fruit[$i]', '$paque', '$rastreos', curdate())";
 echo $qPP;
$rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());	 
	 echo" transaccion: $fruit[$i] <br>"; 
     }  
  }
  
  echo"<label style='color:#2b385d; font-size:28px; font-weight:bold'>La Gu&iacute;a fue asignada con &eacute;xito</label><br><br> "
  
  
  
  
       ?>